import { $ as e, A as t, B as n, C as r, E as i, G as a, O as o, T as s, Y as c, et as l, it as u, nt as d, p as f, q as p, z as m } from "./vue.runtime.esm-bundler-DpvJL-nX.js";
//#region ../../node_modules/.pnpm/@vueuse+shared@14.2.1_vue@3.5.33_typescript@6.0.3_/node_modules/@vueuse/shared/dist/index.js
function h(e, t) {
	return a() ? (c(e, t), !0) : !1;
}
var g = /* @__PURE__ */ new WeakMap(), _ = (...e) => {
	let t = e[0], n = r()?.proxy ?? a();
	if (n == null && !s()) throw Error("injectLocal must be called in setup");
	return n && g.has(n) && t in g.get(n) ? g.get(n)[t] : i(...e);
}, v = typeof window < "u" && typeof document < "u";
typeof WorkerGlobalScope < "u" && globalThis instanceof WorkerGlobalScope;
var y = (e) => e != null, b = Object.prototype.toString, x = (e) => b.call(e) === "[object Object]", S = () => {}, C = /* @__PURE__ */ w();
function w() {
	var e, t;
	return v && !!(!((e = window) == null || (e = e.navigator) == null) && e.userAgent) && (/iP(?:ad|hone|od)/.test(window.navigator.userAgent) || ((t = window) == null || (t = t.navigator) == null ? void 0 : t.maxTouchPoints) > 2 && /iPad|Macintosh/.test(window?.navigator.userAgent));
}
function T(e, t) {
	function n(...n) {
		return new Promise((r, i) => {
			Promise.resolve(e(() => t.apply(this, n), {
				fn: t,
				thisArg: this,
				args: n
			})).then(r).catch(i);
		});
	}
	return n;
}
function E(e, t = {}) {
	let n, r, i = S, a = (e) => {
		clearTimeout(e), i(), i = S;
	}, o;
	return (s) => {
		let c = d(e), l = d(t.maxWait);
		return n && a(n), c <= 0 || l !== void 0 && l <= 0 ? (r &&= (a(r), void 0), Promise.resolve(s())) : new Promise((e, u) => {
			i = t.rejectOnCancel ? u : e, o = s, l && !r && (r = setTimeout(() => {
				n && a(n), r = void 0, e(o());
			}, l)), n = setTimeout(() => {
				r && a(r), r = void 0, e(s());
			}, c);
		});
	};
}
function D(e) {
	return e.endsWith("rem") ? Number.parseFloat(e) * 16 : Number.parseFloat(e);
}
function O(e) {
	return Array.isArray(e) ? e : [e];
}
function k(e) {
	return e || r();
}
function A(e, t = 200, n = {}) {
	return T(E(t, n), e);
}
function j(e, n = !0, r) {
	k(r) ? t(e, r) : n ? e() : o(e);
}
function M(t, n = 1e3, r = {}) {
	let { immediate: i = !0, immediateCallback: a = !1 } = r, o = null, s = l(!1);
	function c() {
		o &&= (clearInterval(o), null);
	}
	function u() {
		s.value = !1, c();
	}
	function f() {
		let e = d(n);
		e <= 0 || (s.value = !0, a && t(), c(), s.value && (o = setInterval(t, e)));
	}
	return i && v && f(), (p(n) || typeof n == "function") && h(m(n, () => {
		s.value && v && f();
	})), h(u), {
		isActive: e(s),
		pause: u,
		resume: f
	};
}
function N(t, n, r = {}) {
	let { immediate: i = !0, immediateCallback: a = !1 } = r, o = l(!1), s;
	function c() {
		s &&= (clearTimeout(s), void 0);
	}
	function u() {
		o.value = !1, c();
	}
	function f(...e) {
		a && t(), c(), o.value = !0, s = setTimeout(() => {
			o.value = !1, s = void 0, t(...e);
		}, d(n));
	}
	return i && (o.value = !0, v && f()), h(u), {
		isPending: e(o),
		start: f,
		stop: u
	};
}
function P(e = !1, t = {}) {
	let { truthyValue: n = !0, falsyValue: r = !1 } = t, i = p(e), a = l(e);
	function o(e) {
		if (arguments.length) return a.value = e, a.value;
		{
			let e = d(n);
			return a.value = a.value === e ? d(r) : e, a.value;
		}
	}
	return i ? o : [a, o];
}
function F(e, t, n) {
	return m(e, t, {
		...n,
		immediate: !0
	});
}
//#endregion
//#region ../../node_modules/.pnpm/@vueuse+core@14.2.1_vue@3.5.33_typescript@6.0.3_/node_modules/@vueuse/core/dist/index.js
var I = v ? window : void 0;
v && window.document, v && window.navigator, v && window.location;
function L(e) {
	let t = d(e);
	return t?.$el ?? t;
}
function R(...e) {
	let t = (e, t, n, r) => (e.addEventListener(t, n, r), () => e.removeEventListener(t, n, r)), n = f(() => {
		let t = O(d(e[0])).filter((e) => e != null);
		return t.every((e) => typeof e != "string") ? t : void 0;
	});
	return F(() => [
		n.value?.map((e) => L(e)) ?? [I].filter((e) => e != null),
		O(d(n.value ? e[1] : e[0])),
		O(u(n.value ? e[2] : e[1])),
		d(n.value ? e[3] : e[2])
	], ([e, n, r, i], a, o) => {
		if (!e?.length || !n?.length || !r?.length) return;
		let s = x(i) ? { ...i } : i, c = e.flatMap((e) => n.flatMap((n) => r.map((r) => t(e, n, r, s))));
		o(() => {
			c.forEach((e) => e());
		});
	}, { flush: "post" });
}
var z = !1;
function B(e, t, n = {}) {
	let { window: r = I, ignore: i = [], capture: a = !0, detectIframe: o = !1, controls: s = !1 } = n;
	if (!r) return s ? {
		stop: S,
		cancel: S,
		trigger: S
	} : S;
	if (C && !z) {
		z = !0;
		let e = { passive: !0 };
		Array.from(r.document.body.children).forEach((t) => t.addEventListener("click", S, e)), r.document.documentElement.addEventListener("click", S, e);
	}
	let c = !0, l = (e) => d(i).some((t) => {
		if (typeof t == "string") return Array.from(r.document.querySelectorAll(t)).some((t) => t === e.target || e.composedPath().includes(t));
		{
			let n = L(t);
			return n && (e.target === n || e.composedPath().includes(n));
		}
	});
	function u(e) {
		let t = d(e);
		return t && t.$.subTree.shapeFlag === 16;
	}
	function f(e, t) {
		let n = d(e), r = n.$.subTree && n.$.subTree.children;
		return r == null || !Array.isArray(r) ? !1 : r.some((e) => e.el === t.target || t.composedPath().includes(e.el));
	}
	let p = (n) => {
		let r = L(e);
		if (n.target != null && !(!(r instanceof Element) && u(e) && f(e, n)) && !(!r || r === n.target || n.composedPath().includes(r))) {
			if ("detail" in n && n.detail === 0 && (c = !l(n)), !c) {
				c = !0;
				return;
			}
			t(n);
		}
	}, m = !1, h = [
		R(r, "click", (e) => {
			m || (m = !0, setTimeout(() => {
				m = !1;
			}, 0), p(e));
		}, {
			passive: !0,
			capture: a
		}),
		R(r, "pointerdown", (t) => {
			let n = L(e);
			c = !l(t) && !!(n && !t.composedPath().includes(n));
		}, { passive: !0 }),
		o && R(r, "blur", (n) => {
			setTimeout(() => {
				let i = L(e);
				r.document.activeElement?.tagName === "IFRAME" && !i?.contains(r.document.activeElement) && t(n);
			}, 0);
		}, { passive: !0 })
	].filter(Boolean), g = () => h.forEach((e) => e());
	return s ? {
		stop: g,
		cancel: () => {
			c = !1;
		},
		trigger: (e) => {
			c = !0, p(e), c = !1;
		}
	} : g;
}
function V() {
	let e = l(!1), n = r();
	return n && t(() => {
		e.value = !0;
	}, n), e;
}
/* @__NO_SIDE_EFFECTS__ */
function H(e) {
	let t = V();
	return f(() => (t.value, !!e()));
}
function U(e, t, n = {}) {
	let { window: r = I, ...i } = n, a, o = /* @__PURE__ */ H(() => r && "MutationObserver" in r), s = () => {
		a &&= (a.disconnect(), void 0);
	}, c = m(f(() => {
		let t = O(d(e)).map(L).filter(y);
		return new Set(t);
	}), (e) => {
		s(), o.value && e.size && (a = new MutationObserver(t), e.forEach((e) => a.observe(e, i)));
	}, {
		immediate: !0,
		flush: "post"
	}), l = () => a?.takeRecords(), u = () => {
		c(), s();
	};
	return h(u), {
		isSupported: o,
		stop: u,
		takeRecords: l
	};
}
var W = Symbol("vueuse-ssr-width");
/* @__NO_SIDE_EFFECTS__ */
function G() {
	let e = s() ? _(W, null) : null;
	return typeof e == "number" ? e : void 0;
}
function K(e, t = {}) {
	let { window: r = I, ssrWidth: i = /* @__PURE__ */ G() } = t, a = /* @__PURE__ */ H(() => r && "matchMedia" in r && typeof r.matchMedia == "function"), o = l(typeof i == "number"), s = l(), c = l(!1);
	return n(() => {
		if (o.value) {
			o.value = !a.value, c.value = d(e).split(",").some((e) => {
				let t = e.includes("not all"), n = e.match(/\(\s*min-width:\s*(-?\d+(?:\.\d*)?[a-z]+\s*)\)/), r = e.match(/\(\s*max-width:\s*(-?\d+(?:\.\d*)?[a-z]+\s*)\)/), a = !!(n || r);
				return n && a && (a = i >= D(n[1])), r && a && (a = i <= D(r[1])), t ? !a : a;
			});
			return;
		}
		a.value && (s.value = r.matchMedia(d(e)), c.value = s.value.matches);
	}), R(s, "change", (e) => {
		c.value = e.matches;
	}, { passive: !0 }), f(() => c.value);
}
function q(e, t, n = {}) {
	let { window: r = I, ...i } = n, a, o = /* @__PURE__ */ H(() => r && "ResizeObserver" in r), s = () => {
		a &&= (a.disconnect(), void 0);
	}, c = m(f(() => {
		let t = d(e);
		return Array.isArray(t) ? t.map((e) => L(e)) : [L(t)];
	}), (e) => {
		if (s(), o.value && r) {
			a = new ResizeObserver(t);
			for (let t of e) t && a.observe(t, i);
		}
	}, {
		immediate: !0,
		flush: "post"
	}), l = () => {
		s(), c();
	};
	return h(l), {
		isSupported: o,
		stop: l
	};
}
function J(e, t = {}) {
	let { reset: n = !0, windowResize: r = !0, windowScroll: i = !0, immediate: a = !0, updateTiming: o = "sync" } = t, s = l(0), c = l(0), u = l(0), d = l(0), f = l(0), p = l(0), h = l(0), g = l(0);
	function _() {
		let t = L(e);
		if (!t) {
			n && (s.value = 0, c.value = 0, u.value = 0, d.value = 0, f.value = 0, p.value = 0, h.value = 0, g.value = 0);
			return;
		}
		let r = t.getBoundingClientRect();
		s.value = r.height, c.value = r.bottom, u.value = r.left, d.value = r.right, f.value = r.top, p.value = r.width, h.value = r.x, g.value = r.y;
	}
	function v() {
		o === "sync" ? _() : o === "next-frame" && requestAnimationFrame(() => _());
	}
	return q(e, v), m(() => L(e), (e) => !e && v()), U(e, v, { attributeFilter: ["style", "class"] }), i && R("scroll", v, {
		capture: !0,
		passive: !0
	}), r && R("resize", v, { passive: !0 }), j(() => {
		a && v();
	}), {
		height: s,
		bottom: c,
		left: u,
		right: d,
		top: f,
		width: p,
		x: h,
		y: g,
		update: v
	};
}
//#endregion
export { A as a, P as c, K as i, J as n, M as o, R as r, N as s, B as t };
